BokehJS version problems

Hi! I’m trying to display plots within a JupyterLab notebook using bokeh v3.0.2. As I understand, the BokehJS library version must match - however I can’t seem to change the BokehJS version from v2.4.2 meaning I’m stuck using that version of Bokeh. Any ideas how to fix? Thanks!

Can you try explicitly clearing all notebook cell outputs? Unfortunately notebooks are a morass of global state and that is often the best solution to any given problem.

Sorry for the delay. Cell outputs wasn’t the problem but my issue is solved now. I think it was a virtual machine issue not having access to the https://cdn.bokeh.org (I am using an annoyingly complicated setup) Thanks for the assistance!

1 Like